IntelliMag requires
Adobe Flash Player 8.0
to function properly.


Get Flash Player

Click the above link to install latest Flash Player version. This will open a new page. Please close all browsers and re-open the publication after the installation is complete.